package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZAPPVIEW;
import cn.ibizlab.core.sample.filter.IBIZAPPVIEWSearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZAPPVIEW] 服务对象接口
 */
public interface IIBIZAPPVIEWService extends IService<IBIZAPPVIEW> {

    boolean create(IBIZAPPVIEW et);
    void createBatch(List<IBIZAPPVIEW> list);
    boolean update(IBIZAPPVIEW et);
    void updateBatch(List<IBIZAPPVIEW> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    IBIZAPPVIEW get(String key);
    IBIZAPPVIEW getDraft(IBIZAPPVIEW et);
    boolean checkKey(IBIZAPPVIEW et);
    boolean save(IBIZAPPVIEW et);
    void saveBatch(List<IBIZAPPVIEW> list);
    Page<IBIZAPPVIEW> searchDefault(IBIZAPPVIEWSearchContext context);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZAPPVIEW> getIbizappviewByIds(List<String> ids);
    List<IBIZAPPVIEW> getIbizappviewByEntities(List<IBIZAPPVIEW> entities);
}


